
Redmine - Defect #35066

Missing project_id in redirect after clicking "Create and add another" button

2021-04-10 00:09 - Jérôme BATAILLE

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 4.2.10   

Resolution: Fixed Affected version:  

Description

While using create and add another button with a plugin I have developed I have an issue with an empty drop-down in a custom

field :

1. first step :

 Project_Enumerations_create_and_add_another.png 

2. second step :

 Project_Enumerations_create_and_add_another2.png 

The issue is caused by a missing intialisation of the TimeEntry.

Here is a patch to fix this.

Related issues:

Related to Redmine - Defect #38237: Unable to choose any user other than the ... Closed

Associated revisions

Revision 22096 - 2023-02-06 00:30 - Go MAEDA

Fix missing project_id in redirect after clicking "Create and add another" button (#35066).

Patch by Jérôme BATAILLE.

Revision 22109 - 2023-02-15 01:24 - Go MAEDA

Merged r22096 from trunk to 5.0-stable (#35066).

Revision 22110 - 2023-02-15 01:26 - Go MAEDA

Merged r22096 from trunk to 4.2-stable (#35066).

History

#1 - 2021-04-10 00:09 - Jérôme BATAILLE

- File timelog_controller.diff added

#2 - 2021-05-19 16:55 - Holger Just

- Description updated

#3 - 2021-05-24 16:51 - Go MAEDA

- File 35066-v2.patch added

- Target version set to Candidate for next major release

Updated the patch. The patch now includes an update to the test.

#4 - 2021-05-25 13:18 - Jérôme BATAILLE

Thanks Go.

#5 - 2023-02-03 03:29 - Go MAEDA

- Related to Defect #38237: Unable to choose any user other than the current user when logging spent time after clicking "Create and add another"

added
https://www.redmine.org/plugins/redmine_queries_for_time_report


#6 - 2023-02-03 03:41 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.10

Setting the target version to 4.2.10.

#7 - 2023-02-06 00:32 - Go MAEDA

- Subject changed from Create time entry and add another on project, initialize project_id to Missing project_id in redirect after clicking "Create and

add another" button

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

#8 - 2023-02-15 01:26 - Go MAEDA

- Status changed from Resolved to Closed

#9 - 2023-03-05 06:24 - Go MAEDA

- Tracker changed from Feature to Defect
